Subject: Re: [PATCH 00/10] Updated ML300 & ML403 patches

From: Grant Likely <[email-masked]>
Date: Tue, 17 Jan 2006 10:30:28 -0700

Peter Ryser wrote:
> 
>> I don't understand what you mean.  It sounds like your suggesting I do 
>> exactly opposite what you're arguing; hand modify one of the 
>> xparameters_*.h files.  Are you saying that edk can't generate Linux 
>> redefines for the ml403 at the moment? 
> 
> 
> Yes, it can. It looks they are not present in the xparameters_ml403.h 
> that you submitted as part of your patch. I'll send you the 
> automatically generated file in a seperate email.

okay good; I misunderstood what you were saying.  I pulled 
xparameters_ml403.h out of the ref design w/ the standalone bsp.  I just 
haven't bothered trying to generating the Linux bsp yet.

> 
>> I do *not* think I should replace the edk-generated 
>> xparameters_ml403.h with a hacked xparameters_ml300.h file.  I'd 
>> rather use the generated _ml403 file and change the infrastructure 
>> when the Linux redefines are ready. 
> 
> 
> See above. BTW, I'm not sure how familiar you are with the process in 
> EDK. Let me know if I can help you step through it.

okay, I'll ping you when I've got questions.

>> I understand that it's not *recommended*; I'm just saying it's not 
>> always *reality*  :p 
> 
> 
> Yeah, that's true for user projects. However, I hope that we can get the 
> default included in the Linux 2.6 kernel right.

yes, definately

> 
>> Yes; but I already said that I'll change the patch to use the Xilinx 
>> redefines.  My argument is simply that *if* changes are required, 
>> there is a way for the user to do it.  In the normal (recommended) 
>> case; nothing will need to be done.  (think Larry Wall's quote: "easy 
>> things easy; hard things possible)
>>
>> When it is needed; the fixups will be in xparameters.h; not 
>> xparameters_*.h; and they'll be for a specific port.  The fixups will 
>> only need to be done once per project (most likely). 
> 
> 
> I'm not sure that I follow your argument here.

I'll compose my answer in code; watch for patches.  :)

btw, once Linus closes the 2.6.16 merge window, it looks like we may be 
able to use the powerpc.git tree for tracking these changes.

Cheers,
g.

-- 
Grant Likely, B.Sc. P.Eng.
Secret Lab Technologies Ltd.
(403) 663-0761